%global momorel 1
%global artsver 1.5.7
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 bc376ce29784f33bf0b5f8d1ae5141bf

Summary: CHM viewer with KDE support
Name: kchmviewer
Version: 3.1
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.kchmviewer.net/
Group: Applications/Publishing
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}-2.tar.gz %{md5sum_src0}
Patch0: %{name}-3.0-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: chmlib
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: chmlib-devel
BuildPreReq: desktop-file-utils
BuildPreReq: gettext
BuildPreReq: libxml2

%description
KchmViewer is a chm (MS HTML help file format) viewer, written in C++. 
Unlike most existing CHM viewers for Unix, it uses Trolltech Qt widget 
library. It is compiled with full KDE support, including KDE widgets 
and KIO/KHTML.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-kde \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/crystalsvg/48x48/apps/kchmviewer.png %{buildroot}%{_datadir}/pixmaps/kchmviewer.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  %{buildroot}%{_datadir}/applications/kchmviewer.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog DCOP-bingings FAQ README
%{_bindir}/kchmviewer
%{_libdir}/kde3/kio_msits.a
%{_libdir}/kde3/kio_msits.la
%{_libdir}/kde3/kio_msits.so
%{_libdir}/libchmfile.a
%{_libdir}/libkdeextra.a
%{_datadir}/applications/kde/kchmviewer.desktop
%{_datadir}/icons/*/*/*/kchmviewer.png
%{_datadir}/locale/*/LC_MESSAGES/kchmviewer.mo
%{_datadir}/pixmaps/kchmviewer.png
%{_datadir}/services/msits.protocol

%changelog
* Sun Jun 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1-1m)
- version 3.1

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0-1m)
- initial package for Momonga Linux
